Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

The VM cannot build the Crazyflie firmware using GCC7 #46

Open
ataffanel opened this issue Nov 28, 2019 · 1 comment
Open

The VM cannot build the Crazyflie firmware using GCC7 #46

ataffanel opened this issue Nov 28, 2019 · 1 comment

Comments

@ataffanel
Copy link
Member

@ataffanel ataffanel commented Nov 28, 2019

The version of arm-none-eabi-gcc contained in the VM 2018.12 is not able to compile the Crazyflie firmware.

The solution is to update to gcc8 when we make a new version of the VM

In the mean-time the current VM can be updated to use GCC8 by typing the following commande in a console:

cd ~
wget https://developer.arm.com/-/media/Files/downloads/gnu-rm/8-2019q3/RC1.1/gcc-arm-none-eabi-8-2019-q3-update-linux.tar.bz2?revision=c34d758a-be0c-476e-a2de-af8c6e16a8a2?product=GNU%20Arm%20Embedded%20Toolchain,64-bit,,Linux,8-2019-q3-update -O gcc-arm-none-eabi-8-2019-q3-update-linux.tar.bz2
sudo tar --strip-components=1 -xf gcc-arm-none-eabi-8-2019-q3-update-linux.tar.bz2
@ataffanel

This comment has been minimized.

Copy link
Member Author

@ataffanel ataffanel commented Dec 3, 2019

There is currently a bug in the Crazyflie firmware preventing it to be compiled with GCC9 (bitcraze/crazyflie-firmware#512). The plan is to wait for this bug to be fixed and then to update the VM with GCC9.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.